Loading...
Searching...
No Matches
Opm::Transform Struct Reference

Represents a transformation applied to a feature. More...

`#include <HybridNewtonConfig.hpp>`

## Public Types

enum class | Type { None , Log , Log10 , Log1p }

## Public Member Functions

| Transform (const std::string &name)
double | apply (double raw_value) const
double | applyInverse (double transformed_value) const

## Public Attributes

enum Opm::Transform::Type | type = Type::None

## Detailed Description

Represents a transformation applied to a feature.

Supports log, log10, log1p, and no transform. Provides forward and inverse methods.

The documentation for this struct was generated from the following file:

- opm/simulators/flow/HybridNewtonConfig.hpp